function saveOptimaFic(~,~)
%saveOptimaMat  Sauvegarde des temps optima dans un fichier Excel
%% ================================================================

data=guidata(1);
if ~isfield(data, 'optima') || length(data.optima)==0
    errordlg('No optima has been calculated: it is not possible to save anything');
 return
end
methode=get(data.methode_tag, 'value');
lesnommethode=get(data.methode_tag, 'string');
nommethode=strrep(lesnommethode(methode,:),' ','');
[filename, dirname] = uiputfile([getenv('PROJECTDIR') '/STRATEGY_SIMULATION/opttimes.'  nommethode  '.' ...
         strrep(data.modelepop,' ', '') '.'...
           date '.csv'], ...
    'Optima times filename');
csvwrite( [dirname filename],data.optima);

% NOTE xlswrite marche pas si on a pas le Excel de microsoft


end % fin saveOptimaFic
